LootJS.modifiers((event) => {
  event
    .addLootTableModifier(/^monobank:monobank\/village\/.*/)
    .removeLoot(Ingredient.all)
    .addWeightedLoot([
      LootEntry.of("minecraft:diamond").limitCount([64, 128]).withChance(10),
      LootEntry.of("minecraft:iron_ingot").limitCount([64, 128]).withChance(10),
      LootEntry.of("minecraft:gold_ingot").limitCount([64, 128]).withChance(10),
      LootEntry.of("create_dd:experience_mass")
        .limitCount([32, 64])
        .withChance(10),
      LootEntry.of("minecards:foil_card_box").limitCount([4, 6]).withChance(5),
      LootEntry.of("#tarotcards:tarot_cards").withChance(5),
      LootEntry.of("sophisticatedbackpacks:gold_backpack").withChance(10),
      LootEntry.of("sophisticatedbackpacks:diamond_backpack").withChance(5),
      LootEntry.of("easy_villagers:trader").withChance(5),
      LootEntry.of("minecraft:elytra").withChance(10),
      LootEntry.of("qualitysdelight:roast_chicken_block_diamond")
        .limitCount([8, 16])
        .withChance(2),
      LootEntry.of("qualitysdelight:stuffed_pumpkin_block_diamond")
        .limitCount([8, 16])
        .withChance(2),
      LootEntry.of("qualitysdelight:shepherds_pie_block_diamond")
        .limitCount([8, 16])
        .withChance(2),
      LootEntry.of("qualitysdelight:honey_glazed_ham_block_diamond")
        .limitCount([8, 16])
        .withChance(2),
      LootEntry.of("qualitysdelight:rice_roll_medley_block_diamond")
        .limitCount([8, 16])
        .withChance(2),
    ]);
  event
    .addLootTableModifier(/^monobank:combination\/.*/)
    .removeLoot(Ingredient.all)
    .addWeightedLoot(
      [3],
      [
        LootEntry.of("#dice:dice"),
        LootEntry.of("#minecraft:terracotta"),
        LootEntry.of("#forge:concrete"),
        LootEntry.of("#minecraft:candles"),
        LootEntry.of("#minecraft:wool"),
        LootEntry.of("#colored_water:waterbuckets"),
      ]
    );
});
